<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../../style.css');
        @import url('../../../../../roundedcorners.css');
        @import url('../../../../../tree.css');
            </style>
    
    <script src="../../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../../help.js" type="text/javascript"></script>
  <title>HttpCore 4.3-alpha1</title>
</head>
<body onload="setBrowserTitle('HttpCore 4.3-alpha1: org.apache.http.impl.io.testTruncatedContent');">

<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="6" >
        <div class="roundedLarge">
            <b class="ctop"><b class="cb1"></b><b class="cb2 testHeader"></b><b class="cb3 testHeader"></b><b class="cb4 testHeader"></b></b>
            <div class="roundedContent">
                <table width="100%" cellspacing="0"><tr class="reportHeader ">
                    <td valign="top" class="titleText testHeader">Clover Test Report - <a
                            href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore 4.3-alpha1</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:43:21 CET
                    </div>
                                                <div class="navBar">
                            <span><a href="../../../../../test-pkg-summary.html">Overview</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-pkg-summary.html">Package</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-TestContentLengthInputStream.html">File</a></span>&nbsp;&nbsp;&nbsp;
                            <span class="navBarCurrent">Test</span>
                        </div>
                                                
                        <div class="navBarLink">
                            &nbsp;&nbsp;&nbsp;
                            <a href="../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
                            <a href="TestContentLengthInputStream_testTruncatedContent_dc.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
                            <a><label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label></a>&nbsp;&nbsp;                            
                        </div>
                    </td>
                </tr></table>
            </div>
            <b class="cbottom"><b class="cb4 testHeader"></b><b class="cb3 testHeader"></b><b class="cb2 testHeader"></b><b class="cb1"></b></b>
        </div>

    </td>
  </tr>




<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>

<tr>
    <td class="graphHeaderLeft titleText testHeader">Test</td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_total_unique_coverage;">Unique Coverage</label></td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_status;">Status</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Start time</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Time (seconds)</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_message;">Message</label></td>
</tr>
<tr>
    <td class="graphItem alignTop titleText">
        <a  href="../../../../../org/apache/http/impl/io/TestContentLengthInputStream.html?line=141#src-141" >testTruncatedContent</a>
    </td>
        <td class="graphPercent alignTop">
        4.1%
    </td>
        <td class="graphPercent alignTop">
                          <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
              </td>
    <td class="graphPercent alignTop">
        28 Nov 22:43:10
    </td>
    <td class="graphPercent alignTop">
        0.0010    </td>
    <td class="graphItemRight alignTop">
        <div class="titleText"></div>
        <div class="errorMessage"></div>
    </td>
</tr>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
</tbody>

<tbody>
    <tr>
        <td class="graphHeaderLeft titleText  sortable testHeader" style="white-space:nowrap;" onclick="ts_resortTable(this, 'alpha', 0);return false;"><label onkeyup="return help_test_target_class;">Target Class</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" onclick="ts_resortTable(this, 'number', 1);return false;"><label onkeyup="return help_unique_coverage ;">Unique</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" colspan="4" onclick="ts_resortTable(this, 'number', 2);return false;"><label onkeyup="return help_test_contribution;">Coverage contributed by</label> <span class="titleText">testTruncatedContent</span>.</td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.ConnectionClosedException</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/ConnectionClosedException.html?id=480#ConnectionClosedException"             title="ConnectionClosedException" name="sl-37">org.apache.http.ConnectionClosedException</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.io.ContentLengthInputStream</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/io/ContentLengthInputStream.html?id=480#ContentLengthInputStream"             title="ContentLengthInputStream" name="sl-56">org.apache.http.impl.io.ContentLengthInputStream</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.06896552</span>
                6.9%
                                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.40229884</span>
            40.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="59.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="40.2% Covered" class="barPositive contribBarPositive" style="width: 40.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.io.HttpTransportMetricsImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/io/HttpTransportMetricsImpl.html?id=480#HttpTransportMetricsImpl"             title="HttpTransportMetricsImpl" name="sl-39">org.apache.http.impl.io.HttpTransportMetricsImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.4</span>
            40%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="60% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="40% Covered" class="barPositive contribBarPositive" style="width: 40%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.util.Args</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/util/Args.html?id=480#Args"             title="Args" name="sl-32">org.apache.http.util.Args</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.33846155</span>
            33.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="66.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="33.8% Covered" class="barPositive contribBarPositive" style="width: 33.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.io.SessionInputBufferImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/io/SessionInputBufferImpl.html?id=480#SessionInputBufferImpl"             title="SessionInputBufferImpl" name="sl-61">org.apache.http.impl.io.SessionInputBufferImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.2838983</span>
            28.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="71.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="28.4% Covered" class="barPositive contribBarPositive" style="width: 28.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.util.TextUtils</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/util/TextUtils.html?id=480#TextUtils"             title="TextUtils" name="sl-33">org.apache.http.util.TextUtils</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.21052632</span>
            21.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="78.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="21.1% Covered" class="barPositive contribBarPositive" style="width: 21.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.util.EncodingUtils</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/util/EncodingUtils.html?id=480#EncodingUtils"             title="EncodingUtils" name="sl-39">org.apache.http.util.EncodingUtils</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.1724138</span>
            17.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="82.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="17.2% Covered" class="barPositive contribBarPositive" style="width: 17.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.util.Asserts</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/util/Asserts.html?id=480#Asserts"             title="Asserts" name="sl-30">org.apache.http.util.Asserts</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.15</span>
            15%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="85% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="15% Covered" class="barPositive contribBarPositive" style="width: 15%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.util.ByteArrayBuffer</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/util/ByteArrayBuffer.html?id=480#ByteArrayBuffer"             title="ByteArrayBuffer" name="sl-40">org.apache.http.util.ByteArrayBuffer</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.031746034</span>
            3.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="96.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="3.2% Covered" class="barPositive contribBarPositive" style="width: 3.2%"></div>
    </div>
</div>        </td>
    </tr>
 </tbody>
<tbody>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
<tr><td class="footer" colspan="6">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:43:46 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody>
</table>
</body>
</html>
